package mdut

import (
	"bytes"
	"fmt"
	"os"

	"gitea.tyrel.dev/tyrel/go-mdut/pkg/mdut"
	"github.com/atotto/clipboard"
	"github.com/spf13/cobra"
)

var (
	selectedStyle string
)

var rootCmd = &cobra.Command{
	Use:   "mdut",
	Short: "mdut - Make a markdown url from the terminal",
	Long:  "mdut - Make a markdown url from the terminal",
	RunE: func(cmd *cobra.Command, args []string) error {
		for _, arg := range args {
			if bytes.HasPrefix([]byte(arg), []byte("http")) {
				out, err := mdut.MakeLink(arg, selectedStyle)
				if err != nil {
					return err
				}
				fmt.Println("Copied to clipboard:")
				fmt.Println(out)
				clipboard.WriteAll(out)
			}
		}
		return nil
	},
}

func Execute() {
	if err := rootCmd.Execute(); err != nil {
		fmt.Fprintf(os.Stderr, "Error executing mdut. '%s'", err)
		os.Exit(1)
	}
}

func init() {
	rootCmd.PersistentFlags().StringVarP(&selectedStyle, "style", "s", "", "style of link {inline, slack, reference}")
}
