package mdut

const (
	StyleSlack     string = "slack" // Default
	StyleInline           = "inline"
	StyleReference        = "reference"
)

func parseStyle(style string) string {
	if style == "slack" {
		return StyleSlack
	} else if style == "inline" {
		return StyleInline
	} else if style == "reference" {
		return StyleReference
	}

	return StyleSlack

}

func MakeLink(url string, selectedStyle string) (string, error) {
	if selectedStyle == StyleInline {
		return Inline(url)
	}
	if selectedStyle == StyleReference {
		return Reference(url)
	}
	return Slack(url)
}
